/*
 Theme Name:   hello-elementor-child
 Description:  Child theme of Hello Elementor
 Author:       bwa
 Template:     hello-elementor
 Version:      1.0.0
 Text Domain:  hello-elementor-child
*/

body {
	font-family: var(--font-family-fallback), sans-serif !important;
	scroll-behavior: smooth !important;
	--header-offset: 0px;
}

:target {
	scroll-margin-top: var(--header-offset);
}

body.no-scroll {
	overflow: hidden;
	height: 100vh;
	touch-action: none;
}

/*
--------------------------------------
réglages Hello Elementor
--------------------------------------
*/

.site-header:not(.dynamic-header),
.site-footer:not(.dynamic-footer) {
	max-width: 100% !important;
	padding: 0;
}

/*
--------------------------------------
custom Template
--------------------------------------
*/

.content-container {
	width: 100%;
}

/*
--------------------------------------
elements
--------------------------------------
*/

.container-primary {
	max-width: var(--container-primary-width);
	margin: 0 auto;
}

.container-secondary {
	max-width: var(--container-secondary-width);
	margin: 0 auto;
}

ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

.entry-content ul {
	list-style-type: disc;
	margin-left: 1em;
}

p {
	margin-bottom: 0;
	margin-block-end: 0 !important;
}

a {
	text-decoration: none !important;
}

/*
--------------------------------------
btns
--------------------------------------
*/

.btn-primary {
	display: flex;
	align-items: center;
	background: var(--e-global-color-primary);
	font-family: var(--e-global-typography-primary-font-family), sans-serif;
	font-size: 16px;
	font-weight: 400;
	color: var(--e-global-color-secondary);
	border: 1px solid var(--e-global-color-primary);
	line-height: 28px;
	padding: 12px 42px;
}

.btn-primary:hover,
.btn-primary:focus {
	background-color: var(--e-global-color-secondary);
	color: var(--e-global-color-primary);
}

.btn-secondary {
	background-color: var(--e-global-color-primary);
	color: #fff;
	border: 2px solid var(--e-global-color-primary);
	padding: 4px 6px;
}

.btn-secondary:hover,
.btn-secondary:focus {
	background-color: #fff;
	color: var(--e-global-color-114779e);
	border: 2px solid var(--e-global-color-primary);
}

/*
--------------------------------------
gradient
--------------------------------------
*/

.text-gradient-blue {
	background: linear-gradient(90deg,hsl(var(--highlight)),#5892e4,#6ec9f7,#5892e4,hsl(var(--highlight)));
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	background-size: 200% 100%;
	animation: shimmer-text 4s ease-in-out infinite;
}

@keyframes shimmer-text {
	0% {
		background-position: 100% 50%
	}

	50% {
		background-position: 0% 50%
	}

	to {
		background-position: 100% 50%
	}
}